petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGType

Determines the type of multigrid method that is run.

### Synopsis

    typedef enum { PC_MG_MULTIPLICATIVE,PC_MG_ADDITIVE,PC_MG_FULL,PC_MG_KASKADE } PCMGType;

Many br

### Values

| PC_MG_MULTIPLICATIVE (default) | - traditional V or W cycle as determined by PCMGSetCycles() Many br
| PC_MG_ADDITIVE | - the additive multigrid preconditioner where all levels are Many brsmoothed before updating the residual. This only uses the Many brdown smoother, in the preconditioner the upper smoother is ignored Many br
| PC_MG_FULL | - same as multiplicative except one also performs grid sequencing, Many brthat is starts on the coarsest grid, performs a cycle, interpolates Many brto the next, performs a cycle etc. This is much like the F-cycle presented in "Multigrid" by Trottenberg, Oosterlee, Schuller page 49, but that Many bralgorithm supports smoothing on before the restriction on each level in the initial restriction to the coarsest stage. In addition that algorithm Many brcalls the V-cycle only on the coarser level and has a post-smoother instead. Many br
| PC_MG_KASKADE | - like full multigrid except one never goes back to a coarser level Many brfrom a finer Many br

### See Also

PCMGSetType()

Level:beginner
Location:src/ksp/pc/../../../include/petscpctypes.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages